Bug 476617 - Cannot add new podcast in rhythmbox (when via ssh)
Cannot add new podcast in rhythmbox (when via ssh)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On: 484171
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-16 03:55 EST by Christopher Beland
Modified: 2010-06-28 06:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:57:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of "rhythmbox -d podcast" from session trying to add http://www.wbur.org/listen/podcasts/morningedition.xml (104.99 KB, text/plain)
2008-12-18 13:15 EST, Christopher Beland
no flags Details

  None (edit)
Description Christopher Beland 2008-12-16 03:55:22 EST
When I try to add a podcast using the GUI in rhythmbox-0.11.6-19.r6096.fc11.x86_64, I get a dialog box with the message:

>>
Error in podcast

There was a problem adding this podcast: Unable to parse the feed contents.  Please verify the URL: http://www.wbur.org/listen/podcasts/morningedition.xml. Would you like to add the podcast feed anyway?
<<

So far I've tried:

http://www.wbur.org/listen/podcasts/morningedition.xml
http://www.npr.org/rss/podcast.php?id=510221

Both of these are working fine with rhythmbox-0.11.6-2.fc9.i386 but not with the newer version.
Comment 1 Bastien Nocera 2008-12-17 09:57:08 EST
Works fine here, which version of totem-pl-parser is installed on your machine?
Comment 2 Christopher Beland 2008-12-17 12:03:13 EST
totem-pl-parser-2.25.1-2.fc11.x86_64
Comment 3 Bastien Nocera 2008-12-18 04:08:42 EST
Both should work. What's the output of "rhythmbox -d podcast" when reproducing the problem?
Comment 4 Christopher Beland 2008-12-18 13:15:59 EST
Created attachment 327351 [details]
output of "rhythmbox -d podcast" from session trying to add http://www.wbur.org/listen/podcasts/morningedition.xml
Comment 5 Christopher Beland 2009-01-15 13:18:07 EST
Still a problem with rhythmbox-0.11.6-21.r6096.fc11.x86_64.
Comment 6 Matthias Clasen 2009-01-29 23:59:50 EST
Works fine here with rhythmbox-0.11.6-23.r6096.fc11.i386
Comment 7 Christopher Beland 2009-01-30 05:44:50 EST
Aha, once again this only happens when I start rhythmbox from a remote session ("ssh -Y").
Comment 8 Matthias Clasen 2009-02-01 13:02:59 EST
that explains it. ssh -Y doesn't forward dbus, only X, so quite a few things won't work in that situation.
Comment 9 Christopher Beland 2009-02-07 15:45:55 EST
It occurred to me that the user might be sshing in from a heterogeneous desktop (Windows, Mac, non-Fedora *nix, etc.).  So this should probably work even in the absence of a dbus connection from the foreign machine.
Comment 10 Bug Zapper 2009-06-09 06:16:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Pavel Rosenboim 2009-10-09 04:03:42 EDT
I have same problem in F10 with local session.
rhythmbox-0.11.6-22.r6096.fc10.i386
Comment 12 Bug Zapper 2010-04-27 08:31:51 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2010-06-28 06:57:13 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.